com.google.cloud.dataflow.sdk.runners

## Class DirectPipelineRegistrar

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DirectPipelineRegistrar

    public class DirectPipelineRegistrar
    extends Object

Contains the `PipelineOptionsRegistrar` and `PipelineRunnerRegistrar` for the `DirectPipeline`.

### Nested Class Summary

Nested Classes
`static class` `DirectPipelineRegistrar.Options` Register the `DirectPipelineOptions`.
`static class` `DirectPipelineRegistrar.Runner` Register the `DirectPipelineRunner`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`